import type { DriveDescription } from "./DriveDescription";
import type { DriveName } from "./DriveName";
import type { DriveUrlSlug } from "./DriveUrlSlug";
import type { HttpUrl } from "./HttpUrl";
export declare type DriveData = {
    baseUrl: HttpUrl;
    description: DriveDescription;
    enabled: boolean;
    name: DriveName;
    slug: DriveUrlSlug;
    type: "ReadOnlyBaseUrl";
};
