/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { DepartmentName } from "./DepartmentName";
import type { EmailAddress } from "./EmailAddress";
import type { FileId } from "./FileId";
import type { FirstName } from "./FirstName";
import type { LastName } from "./LastName";
import type { OrganizationName } from "./OrganizationName";
import type { UserId } from "./UserId";
import type { UserRoleType } from "./UserRoleType";

/**
 * A user of the system.
 */
export type UserSummary = {
  department?: DepartmentName;
  firstName: FirstName;
  lastName: LastName;
  organization?: OrganizationName;
  profilePictureFileId?: FileId;
  email: EmailAddress;
  role: UserRoleType | "Ghost";
  userId: UserId;
};
