/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { FilePartCount } from "./FilePartCount";
import type { FileSummaryExtended } from "./FileSummaryExtended";
import type { TransformationUrlSlug } from "./TransformationUrlSlug";
import type { UploadPart } from "./UploadPart";

/**
 * File upload initialization response.
 */
export type BeginUploadResponse = {
  file: FileSummaryExtended;
  suggestedOptimizationUrlSlug?: TransformationUrlSlug;
  uploadParts: {
    first: UploadPart;
    count: FilePartCount;
  };
};
